After upgrade the the latest release of launcher, the Apps could not show up

I am using UBUNTU18.04, the launcher ask me to upgrade, i press yes, then it told me to download the cleanup tool, and could not start the gui any more. so i download the cleanup tool to clean. then download the lastest the launcher. after i started the launch, i start to install the create, and then launch it, it failed at the splash screen.(exit abnomal)

Hello @terryzhv83,
Thank you for posting, I will bring your issue to the developers for review towards a possible solution.
Can you please attach your “launcher.log” file, it is located in the following location:
C:\Users\username\ .nvidia-omniverse\logs
Thank you for your patience.

hi also get get more details on the launch process you can try to launch the application without the launcher

go to the folder where you application are installed
let’s say it is create 21.3.2
then launch from the shell , omni.create.bat

this will show your the logs here and you can copy this data here so we can help debug ?

Thanks

create.log (38.0 KB)

hi, i used linux, the log is as attached.
BTW, I use two 3080 cards.

hello @terryzhv83 -
Thank you for the logs. Can i ask you to do one test for me?
go to the folder where the create app is installed (same place as dfaguou asked you to go)
Then execute this script:

./omni.create.singlegpu.sh

Do you get the same results? Application fails to launch?

hi mirice,
it failed too, but the log is a bit different, as attached.
create_singlegpu.log (10.1 KB)

and the log from the kit log folder.kit_20210826_141336.log (195.1 KB)

Hi here
2021-08-26 06:13:37 [665ms] [Error] [carb.graphics-vulkan.plugin] VkResult: ERROR_INITIALIZATION_FAILED
2021-08-26 06:13:37 [665ms] [Error] [carb.graphics-vulkan.plugin] vkCreateDevice failed.
2021-08-26 06:13:37 [665ms] [Warning] [gpu.foundation.plugin] An unsupported driver or hardware is found. createDevice() failed for GPU: 0. Skipping this device
2021-08-26 06:13:37 [836ms] [Error] [carb.graphics-vulkan.plugin] VkResult: ERROR_INITIALIZATION_FAILED
2021-08-26 06:13:37 [836ms] [Error] [carb.graphics-vulkan.plugin] vkCreateDevice failed.
2021-08-26 06:13:37 [836ms] [Warning] [gpu.foundation.plugin] An unsupported driver or hardware is found. createDevice() failed for GPU: 1. Skipping this device

|---------------------------------------------------------------------------------------------|
| Driver Version: 460.91 | Graphics API: Vulkan
|=============================================================================================|
| GPU | Name | Active | LDA | GPU Memory | Vendor-ID | LUID |
| | | | | | Device-ID | UUID |
|---------------------------------------------------------------------------------------------|
| 0 | GeForce RTX 3080 | | | 10486 MB | 10de | 0 |
| | | | | | 2206 | 2b229025… |
|---------------------------------------------------------------------------------------------|
| 1 | GeForce RTX 3080 | | | 10486 MB | 10de | 0 |
| | | | | | 2206 | 6393348f… |
|=============================================================================================|

if effectively say it could not activate any of your GPU for Vulkan

Generally, that is an issue with too old drivers or some setup that is not completed on Vulkan . it might be useful for you to validate that Vulkan sample/test apps are working ?

from the log I also see ?
2021-08-26 06:13:36 [302ms] [Info] [carb.graphics-vulkan.plugin] Environment variable overridden: VK_SDK_PATH =
2021-08-26 06:13:36 [302ms] [Info] [carb.graphics-vulkan.plugin] Environment variable overridden: VULKAN_SDK =
2021-08-26 06:13:36 [302ms] [Info] [carb.graphics-vulkan.plugin] Environment variable overridden: VK_LAYER_PATH =
2021-08-26 06:13:36 [302ms] [Info] [carb.graphics-vulkan.plugin] Environment variable overridden: VK_INSTANCE_LAYERS =
2021-08-26 06:13:36 [302ms] [Info] [carb.graphics-vulkan.plugin] Environment variable overridden: VULKAN_HEADERS_INSTALL_DIR =

  • The driver is not installed properly and requires a clean re-install.
  • Your GPUs do not support RayTracing: DXR or VK ray_tracing.
  • The driver cannot enumerate any GPU: driver, display or a docker issue. For Vulkan, test it with Vulkaninfo tool from Vulkan SDK, instead of nvidia-smi.
  • For Ubuntu, it requires server-xorg-core 1.20.7+ and a display to work without --no-window.
  • For Linux dockers, the setup is not complete. Install the latest driver, xServer and NVIDIA container runtime.

hi dfagnou,
I am not familiar with vulkan, which vulkan test should i do? I ran the vulkaninfo, the log is attached as bellow.vulkaninfo.txt (191.5 KB)
But all things were working well earlier before i upgrade the launcher.

try to upgrade the driver to 470, the issue still exists.

Issue is solved after i upgrade my ubuntu to 20.04. Too much pain to use it in 18.04